/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _AUTHVARIABLE_H_
#define _AUTHVARIABLE_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <qstring.h>

//	AuthVariable class definition
//	=============================

class AuthVariable
{	public:
		AuthVariable( const AuthVariable* authVar );
		AuthVariable( const QString& text );
		AuthVariable( const QString& name, const bool secure, const QString& value );

		QString name( ) const { return m_name; }
		bool    secure( ) const { return m_secure; }
		QString toString( ) const;
		QString value( ) const { return m_value; }
		void    value( const QString text );
		QString valueMasked( ) const { return m_valueMasked; }

	private:
		void buildValueMasked( );

		QString m_name;
		bool    m_secure;
		QString m_value;
		QString m_valueMasked;
};

#endif	// _AUTHVARIABLE_H_
