/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#include <qcolor.h>
#include <qpainter.h>
#include <kglobalsettings.h>
#include "clientbutton.h"

//	constructor
//	===========

ClientButton::ClientButton( const CPtr client, QWidget* parent, const char* name )
: QPushButton( client->clientName, parent, name ),
  m_client( client ),
  m_currentButton( false )
{	connect( this, SIGNAL( clicked( )), SLOT( slotClicked( )));
}

//	drawButtonLabel
//	===============

void ClientButton::drawButtonLabel( QPainter* painter )
{	painter->setPen( m_currentButton ? QColor( KGlobalSettings::highlightedTextColor( )) :
									   QColor( KGlobalSettings::buttonTextColor( )));
	ushort textWidth = fontMetrics( ).width( m_client->clientName );
	painter->drawText( (width( ) - textWidth) / 2, fontMetrics( ).height( ), m_client->clientName );
}

//	setCurrentClient
//	================

void ClientButton::setCurrentClient( const bool b )
{	m_currentButton = b;
	update( );
}

//	slotClicked
//	===========

void ClientButton::slotClicked( )
{	emit( clicked( m_client ));
}
