/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _CLIENTNAMEDLG_H_
#define _CLIENTNAMEDLG_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <qptrlist.h>
#include <kdialogbase.h>
#include "global.h"

//	forward class definitions
//	=========================

class KComboBox;

//	ClientNameDlg class definition
//	==============================

class ClientNameDlg : public KDialogBase
{	Q_OBJECT

	public:
		enum Action
		{	Connect,
			Delete,
			Disconnect
		};

		ClientNameDlg( const QPtrList<Client>& clients,
					   const Action action,
					   const QString& caption,
					   QWidget* parent,
					   const char* name );
		QString clientName( ) const;
		ushort  portNo( ) const;
		QString rpcAuth( ) const;

	private slots:
		void slotAuthActivated( int index );
		void slotAuthTextChanged( const QString& text );
		void slotClearAuthClicked( );
		void slotClearNameClicked( );
		void slotClearPortNoClicked( );
		void slotNameActivated( int index );
		void slotNameTextChanged( const QString& text );
		void slotPortNoActivated( int index );
		void slotPortNoTextChanged( const QString& text );


	private:
		void createLayout( const QPtrList<Client>& clients, const Action action );
		KComboBox* m_authCombo;
		KComboBox* m_nameCombo;
		KComboBox* m_portNoCombo;
};

#endif	// _CLIENTNAMEDLG_H_
