/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _DISCONNECTEDDLG_H_
#define _DISCONNECTEDDLG_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <qptrlist.h>
#include <kdialogbase.h>
#include "global.h"

//	forward class definitions
//	=========================

class QGridLayout;
class KListView;
class KListViewItem;

//	DisconnectedDlg class definition
//	============================

class DisconnectedDlg : public KDialogBase
{	Q_OBJECT

	public:
		DisconnectedDlg( QWidget* parent, const char* name );

		void removeClient( const CPtr client );
		void updateStatus( const CPtr client, const QString& text );
		void updateRetryCount( const CPtr client );

	signals:
		void retryConnection( const CPtr );

	private slots:
		void slotSelectionChanged( );

	private:
		typedef struct
		{	CPtr           client;
			KListViewItem* item;
		} ClientDets, *CDPtr;

		CDPtr addClient( const CPtr newClient );
		void  createLayout( );
		CDPtr findOrCreateClient( const CPtr client );
		void  slotCancel( );
		void  slotUser1( );
		void  slotUser2( );

		QPtrList<ClientDets> m_clients;
		KListView*           m_clientView;
		QGridLayout*         m_layout;
};

#endif	// _DISCONNECTEDDLG_H_
