/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#include <qtooltip.h>
#include "guiurlbutton.h"

//	constructor
//	===========

GuiURLButton::GuiURLButton( const QString& siteName,
							const QString& description,
							const QString& url,
							QWidget* parent,
							const char* name )
: QPushButton( siteName, parent, name ),
  m_url( url )
{	QToolTip::add( this, description + "\n(" + m_url + ")" );
	connect( this, SIGNAL( clicked( )), SLOT( slotClicked( )));
}

//	slotClicked
//	===========

void GuiURLButton::slotClicked( )
{	emit( clicked( m_url ));
}
