/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <kdebug.h>
#include <klocale.h>

#include "global.h"
#include "kboincmgr.h"

static const char description[]  = I18N_NOOP( "A KDE-based BOINC manager" );
static KCmdLineOptions options[] = { { "+[Host]", I18N_NOOP( "BOINC host" ), "127.0.0.1" }, KCmdLineLastOption };

//	main
//	====

int main( int argc, string argv[])
{	QString versNo  = "Version 0.3.0";
	QString version = versNo + QString( ", %1 %2" ).arg( __TIME__ ).arg( __DATE__ );
	KAboutData about( "kboincmgr",
					  I18N_NOOP( "KBoincMgr" ),
 					  version,
					  description,
					  KAboutData::License_GPL,
					  "(C) 2006-2007 Kevin Gilbert",
					  I18N_NOOP( "This program is a KDE-based manager for BOINC clients" ),
					  "http://informatics.cdu.edu.au/staff/kgilbert" );
	about.addAuthor( "Kevin Gilbert",
					 versNo,
					 "kev.gilbert@cdu.edu.au",
					 "http://informatics.cdu.edu.au/staff/kgilbert" );
	KCmdLineArgs::init( argc, argv, &about );
	KCmdLineArgs::addCmdLineOptions( options );
	KApplication app;

	if( app.isRestored( ))
	{	RESTORE( KBoincMgr );
	}
	else
	{	KBoincMgr* widget = new KBoincMgr;
		widget->show( );
		app.setMainWidget( widget );
		KCmdLineArgs* args = KCmdLineArgs::parsedArgs( );

		for( ushort i = 0; i < args->count( ) - 1; i += 3 )
			widget->connectToClient( args->arg( i ), QString( args->arg( i + 1 )).toUShort( ), args->arg( i + 2 ));

		args->clear( );
	}

	return app.exec( );
}
