/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006-2007 by Kevin Gilbert                              *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _MESSAGEFILTER_H_
#define _MESSAGEFILTER_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <qcolor.h>
#include <qstring.h>

#include "global.h"

//	MessageFilter class definition
//	==============================

class MessageFilter
{	public:
		MessageFilter( );
		MessageFilter( const MFPtr filter );
		MessageFilter( const QString& text );

		FilterAction action( ) const { return m_action; }
		void         action( const FilterAction a ) { m_action = a; }
		bool         caseSensitive( ) const { return m_caseSensitive; }
		void         caseSensitive( const bool b ) { m_caseSensitive = b; }
		QColor       colour( ) const { return m_colour; }
		void         colour( const QColor c) { m_colour = c; }
		QString      clientName( ) const { return m_clientName; }
		void         clientName( const QString& s ) { m_clientName = s; }
		QString      filterName( ) const { return m_filterName; }
		void         filterName( const QString& s ) { m_filterName = s; }
		QString      filterText( ) const { return m_filterText; }
		void         filterText( const QString& s ) { m_filterText = s; }
		bool         global( ) const { return m_global; }
		void         global( const bool b ) { m_global = b; }
		bool         isRegexp( ) const { return m_isRegexp;   }
		void         isRegexp( const bool b ) { m_isRegexp = b; }
		bool         isStandardFilter( ) const { return m_isStandardFilter; }
		QString      toString( ) const;

	private:
		QString boolToString( const bool b ) const;
		bool    stringToBool( const QString& text ) const;

		FilterAction m_action;
		bool         m_caseSensitive;
		QString      m_clientName;
		QColor       m_colour;
		QString      m_filterName;
		QString      m_filterText;
		bool         m_global;
		bool         m_isRegexp;
		bool         m_isStandardFilter;
};

#endif	// _MESSAGEFILTER_H_
