/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006-2007 by Kevin Gilbert                              *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _MESSAGEFILTERDLG_H_
#define _MESSAGEFILTERDLG_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <kdialogbase.h>
#include "global.h"

//	forward class definitions
//	=========================

class KLineEdit;
class QCheckBox;
class QPixmap;
class QPushButton;
class QRadioButton;

//	MessageFilterDlg class definition
//	=================================

class MessageFilterDlg : public KDialogBase
{	Q_OBJECT

	public:
		enum EditType
		{	TypeAdd,
			TypeCopy,
			TypeEdit
		};

		MessageFilterDlg( const MFPtr filter, const EditType editType, QWidget* parent, const char* name );
	   ~MessageFilterDlg( );

	signals:
		void applyFilter( const MFPtr, const MessageFilterDlg::EditType );

	private slots:
		void slotClearFilterName( );
		void slotColourButtonClicked( );
		void slotClearFilterText( );

	private:
		bool apply( );
		void createLayout( );
		void slotApply( );
		void slotOk( );

		QRadioButton* m_actionColourButton;
		QRadioButton* m_actionHideButton;
		QRadioButton* m_actionShowButton;
		QCheckBox*    m_caseSensitiveCheckBox;
		QPushButton*  m_colourButton;
		QPixmap*      m_colourPixmap;
		EditType      m_editType;
		MFPtr         m_filter;
		QPushButton*  m_filterNameButton;
		KLineEdit*    m_filterNameEdit;
		QPushButton*  m_filterTextButton;
		KLineEdit*    m_filterTextEdit;
		QCheckBox*    m_globalCheckBox;
		QCheckBox*    m_regexpCheckBox;
};

#endif	// _MESSAGEFILTERDLG_H_
