/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006-2007 by Kevin Gilbert                              *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _MESSAGESFILTERCHECKBOX_H_
#define _MESSAGESFILTERCHECKBOX_H_

#include <qcheckbox.h>

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <qcheckbox.h>
#include "global.h"

//	forward class definitions
//	=========================

class QContextMenuEvent;
class QGrid;
class QPushButton;

//	MessagesFilterCheckBox class definition
//	=======================================

class MessagesFilterCheckBox : public QCheckBox
{	Q_OBJECT

	public:
		MessagesFilterCheckBox( const MFPtr filter, QGrid* parent, const char* name );
	   ~MessagesFilterCheckBox( );

		void    enableDown( const bool enable );
		void    enableUp( const bool enable );
		MFPtr   filter( ) const { return m_filter; }
		QString text( ) const { return QCheckBox::text( ).remove( '&' ); }

	signals:
		void filterClicked( );
		void filterCopy( const MFPtr );
		void filterDelete( const MFPtr );
		void filterDownClicked( const MFCBPtr );
		void filterEdit( const MFPtr );
		void filterUpClicked( const MFCBPtr );


	private slots:
		void slotFilterClicked( );
		void slotFilterCopy( );
		void slotFilterDelete( );
		void slotFilterDownClicked( );
		void slotFilterEdit( );
		void slotFilterUpClicked( );

	private:
		void contextMenuEvent( QContextMenuEvent* event );

		QPushButton* m_down;
		MFPtr        m_filter;
		QPushButton* m_up;
};

#endif	// _MESSAGESFILTERCHECKBOX_H_
