/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006-2007 by Kevin Gilbert                              *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _MESSAGESTANDARDDLG_H_
#define _MESSAGESTANDARDDLG_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <qcolor.h>
#include <kdialogbase.h>
#include "global.h"

//	forward class definitions
//	=========================

class KComboBox;
class QPixmap;
class QPushButton;

//	MessageStandardDlg class definition
//	===================================

class MessageStandardDlg : public KDialogBase
{	Q_OBJECT

	public:
		MessageStandardDlg( QWidget* parent, const char* name );
	   ~MessageStandardDlg( );

	private slots:
		void slotAlertErrorButtonClicked( );
		void slotAlertInfoButtonClicked( );
		void slotErrorButtonClicked( );
		void slotInfoButtonClicked( );
		void slotUserButtonClicked( );

	private:
		void         createLayout( );
		FilterAction getAction( KComboBox* comboBox );
		void         initComboBox( KComboBox* comboBox, const FilterAction action );
		void         slotApply( );
		void         slotOk( );

		QPushButton* m_alertErrorButton;
		KComboBox*   m_alterErrorComboBox;
		QPixmap*     m_alertErrorPixmap;
		QPushButton* m_alertInfoButton;
		KComboBox*   m_alterInfoComboBox;
		QPixmap*     m_alertInfoPixmap;
		QPushButton* m_errorButton;
		KComboBox*   m_errorComboBox;
		QPixmap*     m_errorPixmap;
		QPushButton* m_infoButton;
		KComboBox*   m_infoComboBox;
		QPixmap*     m_infoPixmap;
		StdFilter    m_standardFilter;
		QPushButton* m_userButton;
		KComboBox*   m_userComboBox;
		QPixmap*     m_userPixmap;
};

#endif	// _MESSAGESTANDARDDLG_H_
