/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _PROJECTSVIEW_H_
#define _PROJECTSVIEW_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <qptrlist.h>
#include <qsplitter.h>
#include <qvaluelist.h>

#include "global.h"
#include "guiurlview.h"

//	forward class definitions
//	=========================

class ProjectsControlView;
class ProjectsListView;
class QSplitter;
class QWidgetStack;

//	MessagesView class definition
//	=============================

class ProjectsView : public QSplitter
{	Q_OBJECT

	public:
		ProjectsView( const CPtr client, QWidget* parent, const char* name );

		void saveSettings( const bool clientSpecific );
		bool update( );

	signals:
		void autoProjectUpdateStarted( );

	public slots:
		void slotUpdateProjects( );

	private slots:
		void slotCurrentProject( const QString& projectName );
		void slotGuiURLs( const PROJECT* project );

	private:
		void showEvent( QShowEvent* event );

		CPtr                 m_client;
		ProjectsControlView* m_controlView;
		QValueList<int>      m_guiURLSizes;
		QSplitter*           m_guiURLSplitter;
		QWidgetStack*        m_guiURLStack;
		QPtrList<GuiURLView> m_guiURLViews;
		ProjectsListView*    m_listView;
		bool                 m_shown;
		QValueList<int>      m_sizes;
};

#endif	// _PROJECTSVIEW_H_
