/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#include <qpushbutton.h>
#include <qvbox.h>

#include "resultscontrolview.h"

//	constructor
//	===========

ResultsControlView::ResultsControlView( QWidget* parent, const char* name )
: QScrollView( parent, name )
{	byte spacing = fontMetrics( ).width( "XX" );

	QVBox* vBox = new QVBox( viewport( ));
	vBox->setEraseColor( viewport( )->eraseColor( ));
	vBox->setMargin( spacing / 2 );
	vBox->setSpacing( spacing );

	addChild( vBox );

	m_abort        = new QPushButton( "Abort",          vBox, "abort button"         );
	m_graphicsHide = new QPushButton( "Hide graphics",  vBox, "hide graphics button" );
	m_graphicsShow = new QPushButton( "Show graphics",  vBox, "show graphics button" );
	m_resume       = new QPushButton( "Resume",         vBox, "resume button"        );
	m_suspend      = new QPushButton( "Suspend",        vBox, "suspend button"       );

	m_abort->setEnabled( false );
	m_graphicsHide->setEnabled( false );
	m_graphicsShow->setEnabled( false );
	m_resume->setEnabled( false );
	m_suspend->setEnabled( false );

	connect( m_abort,        SIGNAL( clicked( )), SIGNAL( abortClicked( )));
	connect( m_graphicsHide, SIGNAL( clicked( )), SIGNAL( graphicsHideClicked( )));
	connect( m_graphicsShow, SIGNAL( clicked( )), SIGNAL( graphicsShowClicked( )));
	connect( m_resume,       SIGNAL( clicked( )), SIGNAL( resumeClicked( )));
	connect( m_suspend,      SIGNAL( clicked( )), SIGNAL( suspendClicked( )));
}

//	slotEnableButtons
//	=================

void ResultsControlView::slotEnableButtons( const bool abort, const bool graphics, const bool resume, const bool suspend  )
{	m_abort->setEnabled( abort );
	m_graphicsHide->setEnabled( graphics );
	m_graphicsShow->setEnabled( graphics );
	m_resume->setEnabled( resume );
	m_suspend->setEnabled( suspend );
}
