/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _RESULTSCONTROLVIEW_H_
#define _RESULTSCONTROLVIEW_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <qscrollview.h>
#include "global.h"

//	forward class definitions
//	=========================

class QPushButton;

//	ResultsControlView class definition
//	===================================

class ResultsControlView : public QScrollView
{	Q_OBJECT

	public:
		ResultsControlView( QWidget* parent, const char* name );

	signals:
		void abortClicked( );
		void graphicsHideClicked( );
		void graphicsShowClicked( );
		void resumeClicked( );
		void suspendClicked( );

	public slots:
		void slotEnableButtons( const bool abort, const bool graphics, const bool resume, const bool suspend );

	private:
		QPushButton* m_abort;
		QPushButton* m_graphicsHide;
		QPushButton* m_graphicsShow;
		QPushButton* m_resume;
		QPushButton* m_suspend;
};

#endif	// _RESULTSCONTROLVIEW_H_
