/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _RESULTSVIEWITEM_H_
#define _RESULTSVIEWITEM_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <klistview.h>
#include "global.h"

//	forward class definitions
//	=========================

class RESULT;

//	ResultsViewItem class definition
//	================================

class ResultsViewItem : public KListViewItem
{	public:
		ResultsViewItem( const byte progressCol, QListView* parent, const RESULT* result );

		int     compare( QListViewItem* otherItem, int col, bool ascending ) const;
		bool    finished( ) const { return m_finished; }
		void    finished( const bool b ) { m_finished = b; }
		QString key( ) const { return m_name; }
		QString name( ) const { return m_name; }
		bool    preempted( ) const { return m_preempted; }
		void    preempted( const bool b ) { m_preempted = b; }
		QString projectURL( ) const { return m_projectURL; }
		uint    remainingCPU( ) const { return m_remainingCPU; }
		bool	running( ) const { return m_running; }
		void    running( const bool b ) { m_running = b; }
		void    setProgress( const double progress );
		void    setProject( const byte col, const QString& project );
		void    setProjectURL( const QString& projectURL ) { m_projectURL = projectURL; }
		void    setRemainingCPU( const byte col, const uint remainingCPU );
		bool    suspended( ) const { return m_suspended; }
		void    suspended( const bool b ) { m_suspended = b; }
		bool    updated( ) const { return m_updated; }
		void    updated( const bool b ) { m_updated = b; }
		bool    uploading( ) const { return m_uploading; }
		void    uploading( const bool b ) { m_uploading = b; }
		bool    waiting( ) const { return m_waiting; }
		void    waiting( const bool b ) { m_waiting = b; }

	private:
		bool    m_finished;
		QString m_name;
		bool    m_preempted;
		double  m_progress;
		byte    m_progressCol;
		QString m_project;
		QString m_projectURL;
		uint    m_remainingCPU;
		uint    m_reportDeadline;
		bool    m_running;
		bool    m_suspended;
		bool    m_updated;
		bool    m_uploading;
		bool    m_waiting;
};

#endif	// _RESULTSVIEWITEM_H_
