/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#include <qstringlist.h>
#include "statisticscontroldata.h"

const QString StatisticsControlData::StatsStackedLit = "All Projects";

//	constructor
//	===========

StatisticsControlData::StatisticsControlData( const QString& text )
: m_graphType( GraphType( 0 )),
  m_guiRPCIndex( -1 ),
  m_isKnown( false ),
  m_projectName( "**** unknown ****" ),
  m_stacked( false )
{	QStringList list = QStringList::split( '\034', text );

	if( list.count( ) != 2 )
		return;

	m_graphType   = GraphType( list[ 0 ].toUShort( ));
	m_projectName = list[ 1 ];
}

//	constructor
//	===========

StatisticsControlData::StatisticsControlData( const GraphType graphType, const QString& projectName )
: m_graphType( GraphType( graphType )),
  m_guiRPCIndex( -1 ),
  m_isKnown( false ),
  m_projectName( projectName ),
  m_stacked( false )
{
}

//	compare
//	=======

int StatisticsControlData::compare( const SCDPtr otherProject )
{	if( m_projectName == StatsStackedLit )
		return 1;

	if( otherProject->m_projectName == StatsStackedLit )
		return -1;

	if( m_projectName < otherProject->m_projectName )
		return -1;

	return m_projectName != otherProject->m_projectName;
}

//	toString
//	========

QString StatisticsControlData::toString( ) const
{	QString text;
	text.sprintf( "%u%c%s",
				  m_graphType,
				  '\034',
				  m_projectName.ascii( ));

	return text;
}

