/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _STATISTICSCONTROLDATA_H_
#define _STATISTICSCONTROLDATA_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <qstring.h>
#include "global.h"

//	StatisticsControlData class definition
//	======================================

class StatisticsControlData
{	public:
		StatisticsControlData( const QString& text );
		StatisticsControlData( const GraphType graphType, const QString& projectName );

		static const QString StatsStackedLit;

		int       compare( const SCDPtr otherProject );
		GraphType graphType( )         const { return m_graphType;    }
		void      graphType( GraphType i ) { m_graphType = i; }
		void      guiRPCIndex( const short i ) { m_guiRPCIndex = i; }
		short     guiRPCIndex( )       const { return m_guiRPCIndex; }
		bool      isKnown( ) const { return m_isKnown; }
		void      isKnown( const bool b ) { m_isKnown = b; }
		QString   projectName( )       const { return m_projectName; }
		bool      stacked( ) const { return m_stacked; }
		void      stacked( const bool b ) { m_stacked = b; }
		QString   toString( ) const;

	private:
		GraphType m_graphType;
		short     m_guiRPCIndex;
		bool      m_isKnown;
		QString   m_projectName;
		bool      m_stacked;
};

#endif	// _STATISTICSCONTROLDATA_H_
