/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _STATISTICSPROJECTDATA_H_
#define _STATISTICSPROJECTDATA_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <qrect.h>
#include "global.h"

class StatisticsProjectData
{	public:
		~StatisticsProjectData( );

		void buildToolTipText( const QString& projectName, const QString& clientName, const bool stacked );
		void calcMax( );
		void calcMin( );
		void initialise( const ushort noOfDataPoints );
		void scaleValues( const StatisticsProjectData& minMaxProject );

		typedef struct
		{	uint    m_date;
			double  m_hostAvg;
			double  m_hostTotal;
			bool    m_interpolated;
			QRect   m_pointHostAvg;
			QRect   m_pointHostTotal;
			QRect   m_pointUserAvg;
			QRect   m_pointUserTotal;
			double  m_userAvg;
			double  m_userTotal;
			double  m_scaledHostAvg;
			double  m_scaledHostTotal;
			double  m_scaledUserAvg;
			double  m_scaledUserTotal;
			QString m_toolTipHostAvg;
			QString m_toolTipHostTotal;
			QString m_toolTipUserAvg;
			QString m_toolTipUserTotal;
			bool    m_valid;
		} ProjectDateData, *PDDPtr;

		double m_maxHostAvg;
		double m_maxHostTotal;
		double m_maxUserAvg;
		double m_maxUserTotal;
		double m_minHostAvg;
		double m_minHostTotal;
		double m_minUserAvg;
		double m_minUserTotal;
		ushort m_noOfDataPoints;
		PDDPtr m_projectDateData;
};

#endif	// _STATISTICSPROJECTDATA_H_
