/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _STATSTOOLTIP_H_
#define _STATSTOOLTIP_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <qrect.h>
#include <qstring.h>
#include <qtooltip.h>

#include "global.h"

//	ToolTip class definition
//	========================

class StatsToolTip : public QToolTip
{	public:
		StatsToolTip( QWidget* parent );
		virtual ~StatsToolTip( ) { }

		void setTipStuff( const QRect& rect, const QString& text );
		void show( const bool b ) { m_show = b; }

	private:
		void maybeTip( const QPoint& point );

		QRect   m_rect;
		bool    m_show;
		QString m_text;
};

#endif	// _STATSTOOLTIP_H_
