/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _TRANSFERSCONTROLVIEW_H_
#define _TRANSFERSCONTROLVIEW_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <qscrollview.h>
#include "global.h"

//	forward class definitions
//	=========================

class QPushButton;

//	TransfersControlView class definition
//	=====================================

class TransfersControlView : public QScrollView
{	Q_OBJECT

	public:
		TransfersControlView( const CPtr client, QWidget* parent, const char* name );

		void disableAuthButton( );
		void enableAuthButton( );

	signals:
		void abortClicked( );
		void retryClicked( );

	public slots:
		void slotEnableButtons( const bool enableAbort, const bool enableRetry );

	private slots:
		void slotAuthClicked( );
		void slotConfigClicked( );

	private:
		QPushButton* m_abort;
		QPushButton* m_auth;
		CPtr         m_client;
		QPushButton* m_config;
		QPushButton* m_retry;
};

#endif	// _TRANSFERSCONTROLVIEW_H_
