/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _TRANSFERSLISTVIEW_H_
#define _TRANSFERSLISTVIEW_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <klistview.h>

#include "global.h"
#include "ptrlist.h"
#include "transfersviewitem.h"

//	forward class definitions
//	=========================

class FILE_TRANSFER;
class PROJECT;
class RPC_CLIENT;

class TransfersListView : public KListView
{	Q_OBJECT

	public:
		TransfersListView( const CPtr client, QWidget* parent, const char* name );

		void authenticationFinished( const CPtr client, const bool successful );
		bool update( );

	signals:
		void enableButtons( const bool, const bool );

	public slots:
		void slotAbortClicked( );
		void slotRetryClicked( );

	private slots:
		void slotSelectionChanged( );

	private:
		enum Operation
		{	Abort,
			Retry
		};

		void abortOrRetryTransfer( const Operation op, const QString& name );
		void processNewTransfers( QPtrList<FILE_TRANSFER>& newTransferList );
		void update( TransfersViewItem* item, FILE_TRANSFER* transfer );

		CPtr m_client;
		PtrList<TransfersViewItem> m_transfers;
		bool m_waitingOnAutoAuth;
};

#endif	// _TRANSFERSLISTVIEW_H_
