/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _TRANSFERSVIEWITEM_H_
#define _TRANSFERSVIEWITEM_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <klistview.h>
#include "global.h"

//	forward class definitions
//	=========================

class FILE_TRANSFER;

//	TransfersViewItem class definition
//	==================================

class TransfersViewItem : public KListViewItem
{	public:
		TransfersViewItem( QListView* parent, const FILE_TRANSFER* transfer );

		bool    isAbortCandidate( ) const { return m_abortCandidate; }
		bool    isRetryCandidate( ) const { return m_retryCandidate; }
		QString key( ) const { return m_name; }
		void    setAbortCandidate( const bool b ) { m_abortCandidate = b; }
		void    setRetryCandidate( const bool b ) { m_retryCandidate = b; }
		bool    updated( ) const { return m_updated; }
		void    updated( const bool b ) { m_updated = b; }

	private:
		bool    m_abortCandidate;
		QString m_name;
		bool    m_retryCandidate;
		bool    m_updated;
};

#endif	// _TRANSFERSVIEWITEM_H_
